@-webkit-keyframes imageShrink {
  from {
    -webkit-transform: translate(-50%, -50%) scale(1.3);
            transform: translate(-50%, -50%) scale(1.3);
  }
  to {
    -webkit-transform: translate(-50%, -50%) scale(1);
            transform: translate(-50%, -50%) scale(1);
  }
}

@keyframes imageShrink {
  from {
    -webkit-transform: translate(-50%, -50%) scale(1.3);
            transform: translate(-50%, -50%) scale(1.3);
  }
  to {
    -webkit-transform: translate(-50%, -50%) scale(1);
            transform: translate(-50%, -50%) scale(1);
  }
}

@-webkit-keyframes imageGrow {
  from {
    -webkit-transform: translate(-50%, -50%) scale(1);
            transform: translate(-50%, -50%) scale(1);
  }
  to {
    -webkit-transform: translate(-50%, -50%) scale(1.3);
            transform: translate(-50%, -50%) scale(1.3);
  }
}

@keyframes imageGrow {
  from {
    -webkit-transform: translate(-50%, -50%) scale(1);
            transform: translate(-50%, -50%) scale(1);
  }
  to {
    -webkit-transform: translate(-50%, -50%) scale(1.3);
            transform: translate(-50%, -50%) scale(1.3);
  }
}

.imageslider.start {
  opacity: 1;
}

.imageslider.start .slide-container .slide:nth-child(even) .slide-image {
  -webkit-transform: translate(-50%, -50%) scale(1);
          transform: translate(-50%, -50%) scale(1);
  -webkit-animation: imageGrow 25s infinite;
          animation: imageGrow 25s infinite;
  -webkit-animation-fill-mode: both;
          animation-fill-mode: both;
  -webkit-animation-timing-function: cubic-bezier(0.445, 0.05, 0.55, 0.95);
          animation-timing-function: cubic-bezier(0.445, 0.05, 0.55, 0.95);
}

.imageslider.start .slide-container .slide .slide-image {
  -webkit-transform: translate(-50%, -50%) scale(1.3);
          transform: translate(-50%, -50%) scale(1.3);
  -webkit-animation: imageShrink 25s infinite;
          animation: imageShrink 25s infinite;
  -webkit-animation-fill-mode: both;
          animation-fill-mode: both;
  -webkit-animation-timing-function: cubic-bezier(0.445, 0.05, 0.55, 0.95);
          animation-timing-function: cubic-bezier(0.445, 0.05, 0.55, 0.95);
}

.imageslider {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  padding: 250px 0px;
  color: white;
  opacity: 0;
  font-size: 1em;
  -webkit-transition: opacity 0.50s;
  transition: opacity 0.50s;
}

.imageslider * {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

.imageslider .slide-container {
  position: absolute;
  left: 0px;
  top: 0px;
  z-index: 1;
  overflow: hidden;
  width: 100%;
  height: 100%;
}

.imageslider .slide-container .slide {
  position: absolute;
  left: 0px;
  top: 0px;
  z-index: 2;
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 0px 150px;
  opacity: 0;
  -webkit-transition: opacity 1s;
  transition: opacity 1s;
}

.imageslider .slide-container .slide .slide-image {
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: -1;
  min-width: auto;
  max-width: 110%;
  max-height: none;
  min-height: 100%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

.imageslider .slide-container .slide .slide-caption {
  position: relative;
  z-index: 2;
  max-width: 600px;
  font-family: 'Nunito', sans-serif;
  color: white;
  text-align: left;
}

.imageslider .slide-container .slide .slide-caption .slide-title {
  font-family: 'PT Serif', serif;
  text-align: left;
  font-size: 2.50em;
}

.imageslider .slide-container .slide .slide-caption p {
  line-height: 1.3em;
}

.imageslider .slide-container .slide .slide-caption .button {
  background-color: #549045;
  color: white;
  text-decoration: none;
  padding: 10px 20px;
  border-radius: 3px;
  font-family: sans-serif;
  float: right;
  font-weight: 300;
  -webkit-transition: background-color 0.25s;
  transition: background-color 0.25s;
}

.imageslider .slide-container .slide .slide-caption .button:hover {
  background-color: #65CF4B;
}

.imageslider .slide-container .slide.show {
  opacity: 1;
  z-index: 3;
}

.imageslider .slide-container .slide::before {
  content: " ";
  position: absolute;
  left: 0px;
  top: 0px;
  z-index: 1;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

.imageslider .slide-controls {
  position: absolute;
  left: 0px;
  bottom: 0px;
  z-index: 3;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  width: 100%;
  height: 50px;
  font-size: 1.5em;
}

.imageslider .slide-controls .state-control {
  cursor: pointer;
}

.imageslider .slide-controls .state-control #pause {
  display: block;
}

.imageslider .slide-controls .state-control #play {
  display: none;
}

.imageslider .slide-controls .state-control.pause #pause {
  display: none;
}

.imageslider .slide-controls .state-control.pause #play {
  display: block;
}

.imageslider .slide-controls .slides {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: distribute;
      justify-content: space-around;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 0px 10px;
}

.imageslider .slide-controls .slide-bubble {
  position: relative;
  width: 24px;
  height: 24px;
  border: 3px solid white;
  border-radius: 100%;
  margin: 0px 5px;
  cursor: pointer;
}

.imageslider .slide-controls .slide-bubble::before {
  content: " ";
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  width: 0%;
  height: 0%;
  background-color: white;
  border-radius: 100%;
  -webkit-transition: width 0.25s, height 0.25s;
  transition: width 0.25s, height 0.25s;
}

.imageslider .slide-controls .slide-bubble:hover::before, .imageslider .slide-controls .slide-bubble.current::before {
  width: 150%;
  height: 150%;
}

@media screen and (max-width: 1024px) {
  .imageslider .slide-container .slide {
    padding: 20px;
  }
  .imageslider .slide-container .slide .slide-image {
    max-width: none;
    max-height: 100%;
    left: 0px;
  }
  .imageslider .slide-container .slide .slide-image.slide-3 {
    left: 50%;
  }
}
